:root {
    --slider-padding-mobile: 8%;
    --slider-padding-desktop: 3.125%;
    --slider-aspect-ratio: 0.8;
    --slider-nav-padding-mobile: 29px 8%;
    --slider-nav-padding-desktop: 43px 13.75%;
    --slider-nav-gap-mobile: 27px;
    --slider-nav-gap-desktop: 3rem;
    --slider-item-width-mobile: 340px;
    --slider-item-width-desktop: 420px;
    --slider-item-header-size-mobile: 30px;
    --slider-item-header-size-desktop: 30px;
    --slider-item-header-font-family: $headings-font-family;
    --slider-item-link-size-mobile: 1.2rem;
    --slider-item-link-size-desktop: 1.2rem;
    --slider-item-link-font-family: din-condensed;
    --slider-item-hover-speed: 0.3s;
    --slider-item-hover-fullwidth-scale: 2.594;
    --slider-item-hover-zoom-scale: 1.1;
    --slider-item-active-color: #092947;
    --callout-title-font-family: din-condensed;
    --callout-link-font-family: din-2014, sans-serif;
    --slider-item-content-padding: 26px;
    --color-black: #000;
    --color-white: #fff
}

@media(min-width: 768px) {
    :root {
        --font-s-heading-sm: 3.472vw;
        --lh-heading-sm: 4.583vw;
        --font-s-chapeau-md: 1.25vw;
        --lh-chapeau-md: 1.597vw;
        --font-s-chapeau-sm: 0.903vw;
        --lh-chapeau-sm: 0.903vw;
        --font-s-body: 1.111vw;
        --lh-body: 2.083vw;
        --slider-item-content-padding: 39px;
        --spacing-15: 1.042vw;
        --spacing-30: 2.083vw;
        --spacing-45: 3.125vw;
        --spacing-60: 4.167vw;
        --spacing-75: 5.208vw;
        --spacing-90: 6.25vw;
        --spacing-120: 8.333vw;
        --spacing-150: 10.417vw;
        --spacing-180: 12.5vw
    }
}

[style*="--aspect-ratio"]>*:first-child,
.cover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover
}

.slider {
    position: static;
    display: flex;
    align-items: center;
    width: 100%;
    overflow-x: hidden;
    will-change: transform;
    scrollbar-width: none;
    text-rendering: optimizeSpeed
}

.slider * {
    min-height: unset;
    min-width: unset;
    padding: unset;
    margin: unset
}

.slider__container {
    display: grid;
    grid-template-columns: repeat(var(--slidesTotal, 1), 1fr);
    grid-column-gap: 3px;
    align-items: center;
    margin-bottom: 0 !important;
    will-change: transform;
    cursor: grab
}

.slider__item {
    width: var(--slider-item-width-mobile);
    padding-bottom: calc(var(--slider-item-width-mobile)/var(--slider-aspect-ratio));
    will-change: transform;
    position: relative;
    overflow: hidden
}

.slider__item.active .slider__item-overlay::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--slider-item-active-color);
    opacity: .5;
    z-index: 11
}

.slider__item-img-wrap {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    z-index: 5
}

.slider__item-img-wrap.img-pos-top-left {
    justify-content: flex-start;
    align-items: flex-start
}

.slider__item-img-wrap.img-pos-top-center {
    justify-content: center;
    align-items: flex-start
}

.slider__item-img-wrap.img-pos-top-right {
    justify-content: flex-end;
    align-items: flex-start
}

.slider__item-img-wrap.img-pos-center-left {
    justify-content: flex-start;
    align-items: center
}

.slider__item-img-wrap.img-pos-center {
    justify-content: center;
    align-items: center
}

.slider__item-img-wrap.img-pos-center-right {
    justify-content: flex-end;
    align-items: center
}

.slider__item-img-wrap.img-pos-bottom-left {
    justify-content: flex-start;
    align-items: flex-end
}

.slider__item-img-wrap.img-pos-bottom-center {
    justify-content: center;
    align-items: flex-end
}

.slider__item-img-wrap.img-pos-bottom-right {
    justify-content: flex-end;
    align-items: flex-end
}

.slider__item-img {
    max-width: unset;
    min-height: 100%;
    height: 100%;
    width: auto;
    pointer-events: none;
    user-select: none;
    user-drag: none
}

.slider__item-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    transform: translateZ(0);
    pointer-events: none
}

.slider__item-content-wrap {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
    user-select: none;
    z-index: 15;
    pointer-events: none
}

.slider__item-content {
    width: 100%;
    padding: var(--slider-item-content-padding);
    padding-top: calc(var(--slider-item-content-padding)*1.5);
    background-image: linear-gradient(180deg, transparent 0%, rgba(0, 0, 0, 0.25) 20%, rgba(0, 0, 0, 0.75) 100%);
    text-shadow: 0 0 .67em rgba(0, 0, 0, .75)
}

.slider__item-content *:last-child {
    margin-bottom: 0
}

.slider__item-heading {
    pointer-events: none;
    color: var(--wp--preset--color--white);
    text-transform: uppercase;
    will-change: transform;
    font-family: "din-condensed", sans-serif;
    font-size: var(--slider-item-header-size-mobile);
    line-height: 1.33em;
    letter-spacing: 1.5px;
    font-weight: 300;
    margin-bottom: .3em
}

.slider__item-link {
    text-align: left;
    font-family: var(--callout-link-font-family);
    font-size: 1.2rem;
    letter-spacing: .6px;
    color: #fff;
    text-shadow: 0px 0px 40px rgba(0, 0, 0, .7019607843);
    text-transform: uppercase;
    color: #fff;
    text-decoration: none !important;
    pointer-events: all;
    display: flex;
    align-items: center;
    justify-content: flex-start
}

.slider__item-link svg {
    width: 1.5em;
    height: .75em;
    margin-left: .25em
}

.slider__navigation {
    display: grid;
    grid-template-columns: 30px 1fr 30px;
    grid-template-rows: 12px;
    grid-column-gap: var(--slider-nav-gap-mobile);
    align-items: center;
    justify-items: center;
    padding: var(--slider-nav-padding-mobile)
}

.slider__navigation-button {
    width: 28.46px;
    height: 11.32px;
    margin: 0;
    padding: 0;
    border: none;
    cursor: pointer;
    background-repeat: no-repeat;
    background-size: 28.46px 11.32px
}

.slider__navigation-button span {
    display: none
}

.slider__navigation-button.reverse {
    background-image: url("data:image/svg+xml,%3Csvg fill='none' viewBox='0 0 30 12' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='M 5.85 11.4 L 0.55 6 L 5.85 0.6 L 0.55 6 L 29.45 6' stroke='%23092947'/%3E%3C/svg%3E");
    background-position: center left
}

.slider__navigation-button.forward {
    background-image: url("data:image/svg+xml,%3Csvg fill='none' viewBox='0 0 30 12' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke-linecap='round' stroke-linejoin='round' d='M 0.55 6 L 29.45 6 L 24.15 0.6 L 29.45 6 L 24.15 11.4' stroke='%23092947'/%3E%3C/svg%3E");
    background-position: center right
}

.slider__navigation-button.disabled {
    opacity: 0
}

.slider__progress-wrap {
    position: relative;
    width: 100%;
    height: 1px;
    overflow: hidden;
    background-color: #d6d6d6;
    transform-origin: left center;
    will-change: transform
}

.slider__progress {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: var(--wp--preset--color--black);
    transform: scaleX(0);
    transform-origin: left center;
    will-change: transform
}

.slider .callout {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 99;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    height: 140px;
    opacity: 0;
    user-select: none;
    transform: translate(-50%, -100%);
    transition: none
}

.slider .callout__title {
    font-family: "din-condensed";
    text-transform: uppercase;
    font-weight: 100;
    color: #fff;
    font-size: 2.5rem;
    letter-spacing: 0px;
    text-shadow: 0px 0px 40px rgba(0, 0, 0, .6980392157);
    pointer-events: none;
    white-space: nowrap
}

.slider .callout__link {
    text-align: left;
    font-family: "din-2014";
    font-size: 1.2rem;
    letter-spacing: .6px;
    color: #fff;
    text-shadow: 0px 0px 40px rgba(0, 0, 0, .7019607843);
    text-transform: uppercase;
    color: #fff;
    text-decoration: none !important;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    white-space: nowrap
}

.slider .callout__link svg {
    width: 1.5em;
    height: .75em;
    margin-left: .25em
}

.slider .callout__line {
    margin-top: 5px;
    width: 1px;
    height: 90px;
    background: linear-gradient(to bottom, transparent 50%, #fff 50%);
    background-position: left top;
    background-size: 100% 200%;
    transition: none
}

@media only screen and (min-width: 64em) {
    .slider {
        display: flex;
        align-items: center;
        width: 100%;
        overflow-x: hidden
    }

    .slider__container {
        grid-column-gap: 3px;
        cursor: grab
    }

    .slider__item {
        width: var(--slider-item-width-desktop);
        padding-bottom: calc(var(--slider-item-width-desktop)/var(--slider-aspect-ratio));
        transition: width var(--slider-item-hover-speed) ease-in-out
    }

    .slider__item.hovered.fullwidth-on-hover {
        width: calc(var(--slider-item-width-desktop)*var(--slider-item-hover-fullwidth-scale))
    }

    .slider__item.hovered.fullwidth-on-hover .slider__item-callouts {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 20;
        overflow: hidden;
        pointer-events: none
    }

    .slider__item.hovered.fullwidth-on-hover .slider__item-callouts,
    .slider__item.hovered.fullwidth-on-hover .slider__item-img-wrap {
        transition: all var(--slider-item-hover-speed) ease-in-out;
        transform: scale(var(--slider-item-hover-zoom-scale));
        transform-origin: center center
    }

    .slider__item.hovered.fullwidth-on-hover .callout {
        pointer-events: auto;
        opacity: 1;
        transition: all var(--slider-item-hover-speed) ease var(--slider-item-hover-speed)
    }

    .slider__item.hovered.fullwidth-on-hover .callout__line {
        transition: all var(--slider-item-hover-speed) ease-in-out var(--slider-item-hover-speed);
        background-position: left bottom
    }

    .slider__item .slider__item-img-wrap {
        transition: all var(--slider-item-hover-speed) ease-in-out
    }

    .slider__item.hovered.zoom-on-hover .slider__item-img-wrap {
        transition: all var(--slider-item-hover-speed) ease-in-out;
        transform: scale(var(--slider-item-hover-zoom-scale))
    }

    .slider__item.hovered.active-on-hover .slider__item-overlay::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: var(--slider-item-active-color);
        opacity: .5;
        z-index: 11
    }

    .slider__item[data-link],
    .slider__item[data-modal-image] {
        cursor: pointer
    }

    .slider.gallery-slider .active-on-hover .slider__item-overlay::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: var(--slider-item-active-color);
        opacity: .5;
        z-index: 11
    }

    .slider__item-heading {
        font-size: var(--slider-item-header-size-desktop)
    }

    .slider__item-link:hover {
        color: var(--wp--preset--color--white)
    }

    .slider__item-img {
        user-select: none;
        will-change: transform
    }

    .slider__navigation {
        grid-template-columns: 8rem 1fr 5rem;
        grid-column-gap: var(--slider-nav-gap-desktop);
        padding: var(--slider-nav-padding-desktop)
    }

    .slider__navigation-button {
        width: 100%;
        margin: 0;
        padding: 0;
        border: none;
        cursor: pointer;
        display: flex;
        transition: opacity .2s ease-in-out;
        text-decoration: none;
        background-size: 1.666rem .629rem !important;
        color: #092947
    }

    .slider__navigation-button span {
        display: inline;
        font: normal normal normal 1.2rem/1em "din-2014", sans-serif;
        letter-spacing: .6px
    }

    .slider__navigation-button.reverse {
        justify-content: flex-end
    }

    .slider__navigation-button.forward {
        justify-content: flex-start
    }
}

@media only screen and (min-width: 64em) {
    .slide-parallax .slider__item-img-wrap {
        display: block
    }
}

.is-dragging .slider__container {
    cursor: grabbing
}

.is-dragging .slider__container .slider__item {
    cursor: grabbing
}

.is-device .slider {
    overflow: hidden
}

.is-device .slider__container {
    width: 100%;
    overflow-x: scroll
}

.disabled .slider__container {
    margin: 0 auto !important;
    transform: translate3d(0, 0, 0)
}

.disabled .slider__navigation {
    display: none !important
}

.slider__modal {
    padding: 0;
    overflow: auto;
    z-index: 9997
}

.slider__modal .modal__dialog {
    width: 100vw;
    max-width: 100vw;
    height: 100vh;
    max-height: 100vh;
    padding-top: 100px;
    background: #f0f0f0 0% 0% no-repeat padding-box
}

.slider__modal .modal__close {
    background: #005778;
    z-index: 10;
    position: static;
    float: right
}

.slider__modal .modal__content {
    margin-top: 40px
}

@media only screen and (min-width: 48em) {
    .slider__modal {
        overflow: hidden
    }

    .slider__modal .modal__dialog {
        width: 100vw;
        max-width: 100vw;
        height: 100vh;
        max-height: 100vh
    }

    .slider__modal .modal__close {
        float: none;
        position: absolute;
        top: 90px;
        right: 0;
        z-index: 10
    }

    .slider__modal .modal__content {
        margin-top: 0;
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%
    }

    .slider__modal .modal__image {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%
    }

    .slider__modal .modal__image img {
        width: 100%;
        height: 100%;
        object-fit: scale-down;
        font-family: "object-fit: scale-down;"
    }
}

@media only screen and (min-width: 80em) {
    .slider__modal .modal__close {
        top: 230px
    }
}

